<html>
<head>
	<title>Servicio DNI check</title>
	<script type="text/javascript" src="http://192.168.1.112:6060/socket.io/socket.io.js"></script>
</head>
<body>
	<h1 align="center">SERVER DNI CHECK</h1>
	<div style="width: 100%">
		<table>
			<tr>
				<td>Ultimo verficado:</td>
				<td style="width: 10px"></td>
				<td id="dni_last"></td>
			</tr>
			<tr>
				<td>Fecha:</td>
				<td style="width: 10px"></td>
				<td id="date_last"></td>
			</tr>
		</table>
	</div>
	<script type="text/javascript">
		var socket = io.connect('http://192.168.1.112:6060');
		document.addEventListener('DOMContentLoaded', function() {
		  socket.on('validado',function(data){
	        //console.log(data);
	        let fecha = new Date();
			let mes = ["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"];
			let textofecha= fecha.getDate() + " " + mes[fecha.getMonth()] + " " + fecha.getFullYear();
			let hora = new Date();
			let textohora = hora.getHours() + ":" + hora.getMinutes();
			//console.log("validar_nd "+textofecha+"   "+textohora);
	        document.getElementById("dni_last").innerHTML = data.dni +" " +data.razon;
	        document.getElementById("date_last").innerHTML = textofecha+"   "+textohora;

	      });

	      setInterval(enviar_dni, 30000);

	      function enviar_dni(){
	        let data ={}
	        data.dni = '47662139';
	        //console.log(data);
	        socket.emit('validar_nd',data);
	      }
		});
	</script>
</body>
</html>